Index: /branches/2.2/plugins/LocalFilesEditor/language/en_UK/plugin.lang.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/language/en_UK/plugin.lang.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/language/en_UK/plugin.lang.php	(revision 10310)
@@ -42,6 +42,4 @@
 $lang['locfiledit_bak_loaded2'] = 'You must save file to restore it.';
 $lang['locfiledit_syntax_error'] = 'Syntax error! File can\'t be saved.';
-$lang['locfiledit_enable_editarea'] = 'Enable Editarea';
-$lang['locfiledit_disable_editarea'] = 'Disable Editarea';
 $lang['locfiledit_new_tpl'] = 'Create new file';
 $lang['locfiledit_new_filename'] = 'File name';
@@ -55,3 +53,5 @@
 $lang['locfiledit_webmaster_only'] = 'Only webmasters can create or modify local files.';
 
+$lang['locfiledit_enable_codemirror'] = 'Enable Codemirror';
+$lang['locfiledit_disable_codemirror'] = 'Disable Codemirror';
 ?>
Index: /branches/2.2/plugins/LocalFilesEditor/language/es_ES/plugin.lang.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/language/es_ES/plugin.lang.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/language/es_ES/plugin.lang.php	(revision 10310)
@@ -42,6 +42,4 @@
 $lang['locfiledit_bak_loaded2'] = 'Para conservar la la copia de seguridad debe guardar el archivo.';
 $lang['locfiledit_syntax_error'] = 'Error de sintaxis. No es posible guardar el archivo.';
-$lang['locfiledit_enable_editarea'] = 'Activar el texto editado';
-$lang['locfiledit_disable_editarea'] = 'Desactivar el área de edición';
 $lang['locfiledit_new_tpl'] = 'Crear un nuevo archivo ';
 $lang['locfiledit_new_filename'] = 'Nombre del archivo ';
@@ -55,3 +53,5 @@
 $lang['locfiledit_webmaster_only'] = 'Sólo los administradores pueden crear o modificar fichero locales.';
 
+/*TODO*/$lang['locfiledit_enable_codemirror'] = 'Enable Codemirror';
+/*TODO*/$lang['locfiledit_disable_codemirror'] = 'Disable Codemirror';
 ?>
Index: /branches/2.2/plugins/LocalFilesEditor/language/fr_FR/plugin.lang.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/language/fr_FR/plugin.lang.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/language/fr_FR/plugin.lang.php	(revision 10310)
@@ -42,6 +42,4 @@
 $lang['locfiledit_bak_loaded2'] = 'Vous devez l\'enregistrer pour le sauvegarder.';
 $lang['locfiledit_syntax_error'] = 'Erreur de syntaxe! Impossible d\'enregistrer le fichier.';
-$lang['locfiledit_enable_editarea'] = 'Activer Editarea';
-$lang['locfiledit_disable_editarea'] = 'Désactiver Editarea';
 $lang['locfiledit_new_tpl'] = 'Créer un nouveau fichier';
 $lang['locfiledit_new_filename'] = 'Nom du fichier';
@@ -55,3 +53,5 @@
 $lang['locfiledit_webmaster_only'] = 'Seuls les webmasters sont autorisés à créer ou modifier les fichiers locaux.';
 
+$lang['locfiledit_enable_codemirror'] = 'Activer Codemirror';
+$lang['locfiledit_disable_codemirror'] = 'Désactiver Codemirror';
 ?>
Index: /branches/2.2/plugins/LocalFilesEditor/language/he_IL/plugin.lang.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/language/he_IL/plugin.lang.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/language/he_IL/plugin.lang.php	(revision 10310)
@@ -41,6 +41,4 @@
 $lang['locfiledit_bak_loaded2'] = 'אתה חייב לשמור את הקובץ בכדי לשחזר.';
 $lang['locfiledit_syntax_error'] = 'שגיאה תחבירית! לא ניתן לשמור את הקובץ.';
-$lang['locfiledit_enable_editarea'] = 'אפשר עריכה';
-$lang['locfiledit_disable_editarea'] = 'בטל עריכה';
 $lang['locfiledit_new_tpl'] = 'צור קובץ חדש';
 $lang['locfiledit_new_filename'] = 'שם הקובץ';
@@ -55,3 +53,5 @@
 $lang['locfiledit_filename_error'] = 'אסור להשתמש בתווים מסויימים בשם הקובץ.';
 
+/*TODO*/$lang['locfiledit_enable_codemirror'] = 'Enable Codemirror';
+/*TODO*/$lang['locfiledit_disable_codemirror'] = 'Disable Codemirror';
 ?>
Index: /branches/2.2/plugins/LocalFilesEditor/language/hr_HR/plugin.lang.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/language/hr_HR/plugin.lang.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/language/hr_HR/plugin.lang.php	(revision 10310)
@@ -20,8 +20,5 @@
 // | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
 // | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-
-$lang['locfiledit_onglet_localconf'] = 'Lokalno podešavanje';
+// +-----------------------------------------------------------------------+$lang['locfiledit_onglet_localconf'] = 'Lokalno podešavanje';
 $lang['locfiledit_onglet_css'] = 'CSS';
 $lang['locfiledit_onglet_tpl'] = 'Predlošci';
@@ -43,6 +40,4 @@
 $lang['locfiledit_bak_loaded2'] = 'Morate snimiti datoteku kako bi je vratili u prijašnje stanje.';
 $lang['locfiledit_syntax_error'] = 'Greška u sintaksi! Datoteka ne može biti spremljena.';
-$lang['locfiledit_enable_editarea'] = 'Aktiviraj prostor za uredivanje';
-$lang['locfiledit_disable_editarea'] = 'Deaktiviraj prostor za uredivanje';
 $lang['locfiledit_new_tpl'] = 'Kreiraj novu datoteku';
 $lang['locfiledit_new_filename'] = 'Naziv datoteke';
@@ -56,3 +51,5 @@
 $lang['locfiledit_webmaster_only'] = 'Samo webmasteri mogu kreirati ili mijenjati lokalne datoteke.';
 
+/*TODO*/$lang['locfiledit_enable_codemirror'] = 'Enable Codemirror';
+/*TODO*/$lang['locfiledit_disable_codemirror'] = 'Disable Codemirror';
 ?>
Index: /branches/2.2/plugins/LocalFilesEditor/language/hu_HU/plugin.lang.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/language/hu_HU/plugin.lang.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/language/hu_HU/plugin.lang.php	(revision 10310)
@@ -42,6 +42,4 @@
 $lang['locfiledit_bak_loaded2'] = 'Mentett fájl visszaállítása.';
 $lang['locfiledit_syntax_error'] = 'Syntax error! A fájl mentése meghiúsult.';
-$lang['locfiledit_enable_editarea'] = 'Szerkesztő megnyitása';
-$lang['locfiledit_disable_editarea'] = 'Szerkesztő bezárása';
 $lang['locfiledit_new_tpl'] = 'Új fájl létrehozása';
 $lang['locfiledit_new_filename'] = 'Fájl neve';
@@ -55,3 +53,5 @@
 /* TODO */ $lang['locfiledit_webmaster_only'] = 'Csak a webmesterek hozhatnak létre, vagy módosíthatnak helyi fájlokat.';
 
+/*TODO*/$lang['locfiledit_enable_codemirror'] = 'Enable Codemirror';
+/*TODO*/$lang['locfiledit_disable_codemirror'] = 'Disable Codemirror';
 ?>
Index: /branches/2.2/plugins/LocalFilesEditor/language/it_IT/plugin.lang.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/language/it_IT/plugin.lang.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/language/it_IT/plugin.lang.php	(revision 10310)
@@ -42,6 +42,4 @@
 $lang['locfiledit_bak_loaded2'] = 'Dovete registrarlo per salvarlo.';
 $lang['locfiledit_syntax_error'] = 'Errore di sintassi! Impossible salvare il file.';
-$lang['locfiledit_enable_editarea'] = 'Attivare Editarea';
-$lang['locfiledit_disable_editarea'] = 'Disattivare Editarea';
 $lang['locfiledit_new_tpl'] = 'Creare un nuovo file';
 $lang['locfiledit_new_filename'] = 'Nom file';
@@ -55,3 +53,5 @@
 $lang['locfiledit_webmaster_only'] = 'Solo i webmasters sono autorizzati a creare o modificare i file locali.';
 
+/*TODO*/$lang['locfiledit_enable_codemirror'] = 'Enable Codemirror';
+/*TODO*/$lang['locfiledit_disable_codemirror'] = 'Disable Codemirror';
 ?>
Index: /branches/2.2/plugins/LocalFilesEditor/language/ja_JP/plugin.lang.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/language/ja_JP/plugin.lang.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/language/ja_JP/plugin.lang.php	(revision 10310)
@@ -42,6 +42,4 @@
 $lang['locfiledit_bak_loaded2'] = '復元するために、ファイルを保存する必要があります。';
 $lang['locfiledit_syntax_error'] = 'エラー! ファイルは保存できません。';
-$lang['locfiledit_enable_editarea'] = 'Enable Editarea';
-$lang['locfiledit_disable_editarea'] = 'Disable Editarea';
 $lang['locfiledit_new_tpl'] = '新しいファイルを作成する';
 $lang['locfiledit_new_filename'] = 'ファイル名';
@@ -55,3 +53,5 @@
 $lang['locfiledit_webmaster_only'] = 'ローカルファイルはウェブマスターのみ作成するか、変更できます。';
 
+/*TODO*/$lang['locfiledit_enable_codemirror'] = 'Enable Codemirror';
+/*TODO*/$lang['locfiledit_disable_codemirror'] = 'Disable Codemirror';
 ?>
Index: /branches/2.2/plugins/LocalFilesEditor/language/ka_GE/plugin.lang.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/language/ka_GE/plugin.lang.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/language/ka_GE/plugin.lang.php	(revision 10310)
@@ -42,6 +42,4 @@
 $lang['locfiledit_bak_loaded2'] = 'თქვენ უნდა შეინახოთ ფაილი, რომ აღდგინოთ.';
 $lang['locfiledit_syntax_error'] = 'სინტაქსური შეცდომა! ფაილი ვერ შეინახება.';
-$lang['locfiledit_enable_editarea'] = 'ჩავრთოთ გასასწორებელი ველი';
-$lang['locfiledit_disable_editarea'] = 'გამოვრთოთ გასასწორებელი ველი';
 $lang['locfiledit_new_tpl'] = 'შევქმნათ ახალი ფაილი';
 $lang['locfiledit_new_filename'] = 'ფაილის სახელი';
@@ -55,3 +53,5 @@
 $lang['locfiledit_webmaster_only'] = 'მხოლოდ ვებოსტატებს შეუძლიათ შექმნან ან გადააკეთონ ლოკალური ფაილები.';
 
+/*TODO*/$lang['locfiledit_enable_codemirror'] = 'Enable Codemirror';
+/*TODO*/$lang['locfiledit_disable_codemirror'] = 'Disable Codemirror';
 ?>
Index: /branches/2.2/plugins/LocalFilesEditor/language/lv_LV/plugin.lang.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/language/lv_LV/plugin.lang.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/language/lv_LV/plugin.lang.php	(revision 10310)
@@ -42,6 +42,4 @@
 $lang['locfiledit_bak_loaded2'] = 'Jums jasaglaba fails lai to atjaunotu.';
 $lang['locfiledit_syntax_error'] = 'Sintakses kluda! Failu nav iespejams saglabat.';
-$lang['locfiledit_enable_editarea'] = 'Iespejot Redigešanas apgabalu';
-$lang['locfiledit_disable_editarea'] = 'Atspejot Redigešanas apgabalu';
 $lang['locfiledit_new_tpl'] = 'Izveidot jaunu failu';
 $lang['locfiledit_new_filename'] = 'Faila nosaukums';
@@ -55,3 +53,5 @@
 $lang['locfiledit_webmaster_only'] = 'Tikai webmasters var izveidot un modificet lokalos failus.';
 
+/*TODO*/$lang['locfiledit_enable_codemirror'] = 'Enable Codemirror';
+/*TODO*/$lang['locfiledit_disable_codemirror'] = 'Disable Codemirror';
 ?>
Index: /branches/2.2/plugins/LocalFilesEditor/language/nl_NL/plugin.lang.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/language/nl_NL/plugin.lang.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/language/nl_NL/plugin.lang.php	(revision 10310)
@@ -42,6 +42,4 @@
 $lang['locfiledit_bak_loaded2'] = 'U moet het bestand opslaan om te kunnen restoren.';
 $lang['locfiledit_syntax_error'] = 'Syntax-fout! Bestand kan niet opgeslagen worden.';
-$lang['locfiledit_enable_editarea'] = 'Maak Edit-gebied atief';
-$lang['locfiledit_disable_editarea'] = 'Deactiveer Edit-gebied';
 $lang['locfiledit_new_tpl'] = 'Maak nieuw bestand aan';
 $lang['locfiledit_new_filename'] = 'Bestandsnaam';
@@ -55,3 +53,5 @@
 $lang['locfiledit_webmaster_only'] = 'Alleen webbeheerders kunnen lokale bestanden aanmaken of wijzigen.';
 
+/*TODO*/$lang['locfiledit_enable_codemirror'] = 'Enable Codemirror';
+/*TODO*/$lang['locfiledit_disable_codemirror'] = 'Disable Codemirror';
 ?>
Index: /branches/2.2/plugins/LocalFilesEditor/language/no_NO/plugin.lang.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/language/no_NO/plugin.lang.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/language/no_NO/plugin.lang.php	(revision 10310)
@@ -20,8 +20,5 @@
 // | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
 // | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-
-$lang['locfiledit_onglet_localconf'] = 'Lokal konfigurasjon';
+// +-----------------------------------------------------------------------+$lang['locfiledit_onglet_localconf'] = 'Lokal konfigurasjon';
 $lang['locfiledit_onglet_css'] = 'CSS';
 $lang['locfiledit_onglet_tpl'] = 'Maler (templates)';
@@ -42,6 +39,4 @@
 $lang['locfiledit_bak_loaded2'] = 'Du må lagre filen for å gjennopprette den.';
 $lang['locfiledit_syntax_error'] = 'Syntax feil! Filen kan ikke bli lagret.';
-$lang['locfiledit_enable_editarea'] = 'Aktiver redigeringsområde ';
-$lang['locfiledit_disable_editarea'] = 'Deaktiver redigeringsområde';
 $lang['locfiledit_new_tpl'] = 'Lag ny fil';
 $lang['locfiledit_new_filename'] = 'Fil navn';
@@ -55,3 +50,5 @@
 $lang['locfiledit_webmaster_only'] = 'Kun webmaster kan lage eller endre lokale filer.';
 
+/*TODO*/$lang['locfiledit_enable_codemirror'] = 'Enable Codemirror';
+/*TODO*/$lang['locfiledit_disable_codemirror'] = 'Disable Codemirror';
 ?>
Index: /branches/2.2/plugins/LocalFilesEditor/language/pl_PL/plugin.lang.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/language/pl_PL/plugin.lang.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/language/pl_PL/plugin.lang.php	(revision 10310)
@@ -42,6 +42,4 @@
 $lang['locfiledit_bak_loaded2'] = 'Musisz zapisać plik aby go przywrócić.';
 $lang['locfiledit_syntax_error'] = 'Błąd skłądni! Plik nie może zostać zapisany.';
-$lang['locfiledit_enable_editarea'] = 'Włącz Pole Edycyjne';
-$lang['locfiledit_disable_editarea'] = 'Wyłącz Pole Edycyjne';
 $lang['locfiledit_new_tpl'] = 'Stwórz nowy plik';
 $lang['locfiledit_new_filename'] = 'Nazwa pliku';
@@ -55,3 +53,5 @@
 /* TODO */ $lang['locfiledit_webmaster_only'] = 'Only webmasters can create or modify local files.';
 
+/*TODO*/$lang['locfiledit_enable_codemirror'] = 'Enable Codemirror';
+/*TODO*/$lang['locfiledit_disable_codemirror'] = 'Disable Codemirror';
 ?>
Index: /branches/2.2/plugins/LocalFilesEditor/language/pt_PT/plugin.lang.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/language/pt_PT/plugin.lang.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/language/pt_PT/plugin.lang.php	(revision 10310)
@@ -42,6 +42,4 @@
 $lang['locfiledit_bak_loaded2'] = 'Deverá salvar o ficheiro para o restaurar.';
 $lang['locfiledit_syntax_error'] = 'Erro de sintaxe! Impossível salvar ficheiro.';
-$lang['locfiledit_enable_editarea'] = 'Activar Área de Edição';
-$lang['locfiledit_disable_editarea'] = 'Desactivar Área de Edição';
 $lang['locfiledit_new_tpl'] = 'Criar novo ficheiro';
 $lang['locfiledit_new_filename'] = 'Nome do ficheiro';
@@ -55,3 +53,5 @@
 $lang['locfiledit_webmaster_only'] = 'Apenas webmasters podem criar ou modificar ficheiros locais.';
 
+/*TODO*/$lang['locfiledit_enable_codemirror'] = 'Enable Codemirror';
+/*TODO*/$lang['locfiledit_disable_codemirror'] = 'Disable Codemirror';
 ?>
Index: /branches/2.2/plugins/LocalFilesEditor/language/ru_RU/plugin.lang.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/language/ru_RU/plugin.lang.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/language/ru_RU/plugin.lang.php	(revision 10310)
@@ -41,6 +41,4 @@
 $lang['locfiledit_bak_loaded2'] = 'Вы должны сохранить файл, чтобы восстановить его.';
 $lang['locfiledit_syntax_error'] = 'Синтаксическая ошибка! Невозможно сохранить файл.';
-$lang['locfiledit_enable_editarea'] = 'Активировать разметку области редактирования';
-$lang['locfiledit_disable_editarea'] = 'Дезактивировать разметку области редактирования';
 $lang['locfiledit_new_tpl'] = 'Создать новый файл';
 $lang['locfiledit_new_filename'] = 'Имя файла';
@@ -54,3 +52,5 @@
 $lang['locfiledit_webmaster_only'] = 'Только вэбмастеры могут создавать или редактировать локальные файлы.';
 
+/*TODO*/$lang['locfiledit_enable_codemirror'] = 'Enable Codemirror';
+/*TODO*/$lang['locfiledit_disable_codemirror'] = 'Disable Codemirror';
 ?>
Index: /branches/2.2/plugins/LocalFilesEditor/language/sk_SK/plugin.lang.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/language/sk_SK/plugin.lang.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/language/sk_SK/plugin.lang.php	(revision 10310)
@@ -42,6 +42,4 @@
 $lang['locfiledit_bak_loaded2'] = 'Musíte uložiť súbor na jeho obnovenie.';
 $lang['locfiledit_syntax_error'] = 'Syntaktický chyba! Súbor nemôže byť uložený.';
-$lang['locfiledit_enable_editarea'] = 'Povoliť editáciu';
-$lang['locfiledit_disable_editarea'] = 'Zakázať editáciu';
 $lang['locfiledit_new_tpl'] = 'Vytvorenie nového súboru';
 $lang['locfiledit_new_filename'] = 'Meno súboru';
@@ -55,3 +53,5 @@
 $lang['locfiledit_webmaster_only'] = 'Len webmasteri môžu vytvoriť alebo modifikovať lokálne súbory.';
 
+/*TODO*/$lang['locfiledit_enable_codemirror'] = 'Enable Codemirror';
+/*TODO*/$lang['locfiledit_disable_codemirror'] = 'Disable Codemirror';
 ?>
Index: /branches/2.2/plugins/LocalFilesEditor/language/sr_RS/plugin.lang.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/language/sr_RS/plugin.lang.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/language/sr_RS/plugin.lang.php	(revision 10310)
@@ -41,6 +41,4 @@
 $lang['locfiledit_bak_loaded2']         = 'Морате да запамтите датотеку пре обнављања.';
 $lang['locfiledit_syntax_error']        = 'Синтаксна грешка! Датотека не може бити снимљена.';
-$lang['locfiledit_enable_editarea']     = 'Омогући област промене';
-$lang['locfiledit_disable_editarea']    = 'Онемогући област промене';
 $lang['locfiledit_new_tpl']             = 'Направи нову датотеку';
 $lang['locfiledit_new_filename']        = 'Име датотеке';
@@ -54,3 +52,5 @@
 $lang['locfiledit_webmaster_only']      = 'Само уредник интернет страница може да направи или уреди локалне датотеке.';
 
+/*TODO*/$lang['locfiledit_enable_codemirror'] = 'Enable Codemirror';
+/*TODO*/$lang['locfiledit_disable_codemirror'] = 'Disable Codemirror';
 ?>
Index: /branches/2.2/plugins/LocalFilesEditor/language/sv_SE/plugin.lang.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/language/sv_SE/plugin.lang.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/language/sv_SE/plugin.lang.php	(revision 10310)
@@ -41,6 +41,4 @@
 $lang['locfiledit_bak_loaded2'] = 'Du måste spara filen för att återställa den.';
 $lang['locfiledit_syntax_error'] = 'Syntax fel! Filen kan inte sparas.';
-$lang['locfiledit_enable_editarea'] = 'Aktivera Skrivfält';
-$lang['locfiledit_disable_editarea'] = 'Avaktivera Skrivfält';
 $lang['locfiledit_new_tpl'] = 'Skapa ny fil';
 $lang['locfiledit_new_filename'] = 'Fil namn';
@@ -54,3 +52,5 @@
 $lang['locfiledit_webmaster_only'] = 'Endast webmasters kan skapa eller ändra lokala filer.';
 
+/*TODO*/$lang['locfiledit_enable_codemirror'] = 'Enable Codemirror';
+/*TODO*/$lang['locfiledit_disable_codemirror'] = 'Disable Codemirror';
 ?>
Index: /branches/2.2/plugins/LocalFilesEditor/language/tr_TR/plugin.lang.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/language/tr_TR/plugin.lang.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/language/tr_TR/plugin.lang.php	(revision 10310)
@@ -42,6 +42,4 @@
 $lang['locfiledit_bak_loaded2'] = 'Geri yükledikten sonra save etmeyi unutmayiniz.';
 $lang['locfiledit_syntax_error'] = 'Syntax error! Dosya kayit edilemiyor.';
-$lang['locfiledit_enable_editarea'] = 'Editleme açik';
-$lang['locfiledit_disable_editarea'] = 'Editleme kapali';
 $lang['locfiledit_new_tpl'] = 'Yeni Dosya Yarat';
 $lang['locfiledit_new_filename'] = 'Dosya Adi';
@@ -55,3 +53,5 @@
 $lang['locfiledit_webmaster_only'] = 'Sadece yöneticiler dosyalari degistirebilir .';
 
+/*TODO*/$lang['locfiledit_enable_codemirror'] = 'Enable Codemirror';
+/*TODO*/$lang['locfiledit_disable_codemirror'] = 'Disable Codemirror';
 ?>
Index: /branches/2.2/plugins/LocalFilesEditor/language/vi_VN/plugin.lang.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/language/vi_VN/plugin.lang.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/language/vi_VN/plugin.lang.php	(revision 10310)
@@ -41,6 +41,4 @@
 $lang['locfiledit_bak_loaded2'] = 'Bạn phải lưu lại tệp tin để phục hồi nó.';
 $lang['locfiledit_syntax_error'] = 'Lỗi cú pháp! Tệp tin không thể được lưu.';
-$lang['locfiledit_enable_editarea'] = 'Kích hoạt vùng nhập dữ liệu';
-$lang['locfiledit_disable_editarea'] = 'Tắt vùng nhập dữ liệu';
 $lang['locfiledit_new_tpl'] = 'Tạo tệp tin mới';
 $lang['locfiledit_new_filename'] = 'Tên tệp tin';
@@ -54,3 +52,5 @@
 $lang['locfiledit_webmaster_only'] = 'Chỉ có webmasters mới có thể tạo hoặc biên tập tệp tin trên máy.';
 
+/*TODO*/$lang['locfiledit_enable_codemirror'] = 'Enable Codemirror';
+/*TODO*/$lang['locfiledit_disable_codemirror'] = 'Disable Codemirror';
 ?>
Index: /branches/2.2/plugins/LocalFilesEditor/language/zh_CN/plugin.lang.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/language/zh_CN/plugin.lang.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/language/zh_CN/plugin.lang.php	(revision 10310)
@@ -41,6 +41,4 @@
 $lang['locfiledit_bak_loaded2'] = '您必须保存文件以便将其恢复.';
 $lang['locfiledit_syntax_error'] = '语法错误! 文件不能被保存.';
-$lang['locfiledit_enable_editarea'] = '启用编辑区域';
-$lang['locfiledit_disable_editarea'] = '禁用编辑区域';
 $lang['locfiledit_new_tpl'] = '创建新文件';
 $lang['locfiledit_new_filename'] = '文件名';
@@ -54,3 +52,5 @@
 $lang['locfiledit_webmaster_only'] = '只有网站管理员才能创建或者修改本地文件.';
 
+/*TODO*/$lang['locfiledit_enable_codemirror'] = 'Enable Codemirror';
+/*TODO*/$lang['locfiledit_disable_codemirror'] = 'Disable Codemirror';
 ?>
Index: /branches/2.2/plugins/LocalFilesEditor/show_default.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/show_default.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/show_default.php	(revision 10310)
@@ -39,12 +39,4 @@
   $template->set_filename('show_default', dirname(__FILE__) . '/show_default.tpl');
   
-  // Editarea
-  $editarea_options = array(
-    'syntax' => 'php',
-    'start_highlight' => true,
-    'allow_toggle' => false,
-    'is_editable' => false,
-    'language' => substr($user['language'], 0, 2));
-
   $file = file_get_contents(PHPWG_ROOT_PATH . $path);
   $title = str_replace('/', ' / ', $path);
@@ -54,6 +46,8 @@
     'DEFAULT_CONTENT' => $file,
     'LOCALEDIT_PATH' => LOCALEDIT_PATH,
-    'LOAD_EDITAREA' => isset($conf['LocalFilesEditor']) ? $conf['LocalFilesEditor'] : 'on',
-    'EDITAREA_OPTIONS' => $editarea_options));
+    'LOAD_CODEMIRROR' => isset($conf['LocalFilesEditor']) ? $conf['LocalFilesEditor'] : 'on',
+    'CODEMIRROR_MODE' => 'application/x-httpd-php'
+    )
+  );
 
   $page['body_id'] = 'thePopuphelpPage';
Index: /branches/2.2/plugins/LocalFilesEditor/show_default.tpl
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/show_default.tpl	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/show_default.tpl	(revision 10310)
@@ -1,43 +1,56 @@
 {html_head}
-<link rel="stylesheet" type="text/css" href="{$LOCALEDIT_PATH}locfiledit.css">
 <style type="text/css">#headbranch, #theHeader, #copyright {ldelim} display: none; }</style>
 {/html_head}
-{known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}
-{known_script id="editarea" src=$LOCALEDIT_PATH|@cat:"editarea/edit_area_full.js"}
-<script type="text/javascript">
-var editarea = "{$LOAD_EDITAREA}";
+{combine_script id="jquery"}
 
-function loadEditarea() {ldelim} 
-  editAreaLoader.init({ldelim}
-    id: "text"
-    {foreach from=$EDITAREA_OPTIONS key=option item=value}
-    , {$option}: {$value|editarea_quote}
-    {/foreach}
+{combine_script id="codemirror" path="plugins/LocalFilesEditor/codemirror/lib/codemirror.js"}
+{combine_script id="codemirror.xml" require="codemirror" path="plugins/LocalFilesEditor/codemirror/mode/xml/xml.js"}
+{combine_script id="codemirror.javascript" require="codemirror" path="plugins/LocalFilesEditor/codemirror/mode/javascript/javascript.js"}
+{combine_script id="codemirror.css" require="codemirror" path="plugins/LocalFilesEditor/codemirror/mode/css/css.js"}
+{combine_script id="codemirror.clike" require="codemirror" path="plugins/LocalFilesEditor/codemirror/mode/clike/clike.js"}
+{combine_script id="codemirror.htmlmixed" require="codemirror.xml,codemirror.javascript,codemirror.css" path="plugins/LocalFilesEditor/codemirror/mode/htmlmixed/htmlmixed.js"}
+{combine_script id="codemirror.php" require="codemirror.xml,codemirror.javascript,codemirror.css,codemirror.clike" path="plugins/LocalFilesEditor/codemirror/mode/php/php.js"}
+
+{combine_css path="plugins/LocalFilesEditor/codemirror/lib/codemirror.css"}
+{combine_css path="plugins/LocalFilesEditor/codemirror/mode/xml/xml.css"}
+{combine_css path="plugins/LocalFilesEditor/codemirror/mode/javascript/javascript.css"}
+{combine_css path="plugins/LocalFilesEditor/codemirror/mode/css/css.css"}
+{combine_css path="plugins/LocalFilesEditor/codemirror/mode/clike/clike.css"}
+{combine_css path="plugins/LocalFilesEditor/locfiledit.css"}
+
+{footer_script}
+function loadCodemirror() {ldelim}
+  editor = CodeMirror.fromTextArea(document.getElementById("text"), {ldelim}
+    matchBrackets: true,
+    readOnly: true,
+    mode: "{$CODEMIRROR_MODE}",
+    tabMode: "shift"
   });
   jQuery("#showedit").hide();
   jQuery("#hideedit").show();
+  jQuery.post("update_config.php", {ldelim} editarea: "on"});
 }
 
-function unloadEditarea() {ldelim} 
-  editAreaLoader.delete_instance("text");
+function unloadCodemirror() {ldelim} 
+  editor.toTextArea();
   jQuery("#hideedit").hide();
   jQuery("#showedit").show();
+  jQuery.post("update_config.php", {ldelim} editarea: "off"});
 }
-</script>
+
+{if $LOAD_CODEMIRROR == 'on'}
+if (document.getElementById("text") != null) loadCodemirror();
+{/if}
+{/footer_script}
 
 <div id="LocalFilesEditor">
-<h1>{$TITLE}</h1>
+<div style="overflow:auto;"><b>{$TITLE}</b></div>
 
 <textarea id="text" rows="30" cols="90">{$DEFAULT_CONTENT}</textarea>
 
 <div id="editarea_buttons">
-<a href="javascript:loadEditarea();" id="showedit">[{'locfiledit_enable_editarea'|@translate}]</a>
-<a href="javascript:unloadEditarea();" id="hideedit">[{'locfiledit_disable_editarea'|@translate}]</a>
+<a href="javascript:loadCodemirror();" id="showedit">[{'locfiledit_enable_codemirror'|@translate}]</a>
+<a href="javascript:unloadCodemirror();" id="hideedit">[{'locfiledit_disable_codemirror'|@translate}]</a>
 </div>
 
 </div>
-
-<script type="text/javascript">
-jQuery("#editarea_buttons").show();
-if (editarea == "on") loadEditarea();
-</script>
